diff --git a/tests/test-masakari.sh b/tests/test-masakari.sh
index 4601a2b5896e4a5706f288f0f2728304e266ab43..28454f508c6eb7a7e559e9b0070d1e8c9f6fea33 100755
--- a/tests/test-masakari.sh
+++ b/tests/test-masakari.sh
@@ -8,17 +8,12 @@ set -o pipefail
 export PYTHONUNBUFFERED=1
 
 function test_masakari_logged {
-
     # Source OpenStack credentials
     . /etc/kolla/admin-openrc.sh
 
     # Activate virtualenv to access Masakari client
     . ~/openstackclient-venv/bin/activate
 
-    # NOTE:(gtrellu) Masakari client/API has a bug which generate a mismatch
-    # between what the client send and what the API should received.
-    CLIENT_OPTS="--os-ha-api-version 1.0"
-
     # Get the first Nova compute
     if ! HYPERVISOR=$(openstack hypervisor list -f value -c 'Hypervisor Hostname' | head -n1); then
         echo "Unable to get Nova hypervisor list"
@@ -26,19 +21,19 @@ function test_masakari_logged {
     fi
 
     # Create Masakari segment
-    if ! openstack $CLIENT_OPTS segment create test_segment auto COMPUTE; then
+    if ! openstack segment create test_segment auto COMPUTE; then
         echo "Unable to create Masakari segment"
         return 1
     fi
 
     # Add Nova compute to Masakari segment
-    if ! openstack $CLIENT_OPTS segment host create $HYPERVISOR COMPUTE SSH test_segment; then
+    if ! openstack segment host create $HYPERVISOR COMPUTE SSH test_segment; then
         echo "Unable to add Nova hypervisor to Masakari segment"
         return 1
     fi
 
     # Delete Masakari segment
-    if ! openstack $CLIENT_OPTS segment delete test_segment; then
+    if ! openstack segment delete test_segment; then
         echo "Unable to delete Masakari segment"
         return 1
     fi